#!/bin/bash

#
# Factorize for 2010.0
#

KRCFG="$(which kreadconfig)"

if [ ! -z "$KRCFG" ]; then # Check if kde is installed, otherwise do nothing

    # Powersave applet

    CFGFILE="/etc/sysconfig/harddrake2/kernel"
    PSAVE=$(kreadconfig --group "Mandriva" --key "PowersaveApplet" --default "false")
    LAP=$(kreadconfig --file "/etc/sysconfig/harddrake2/kernel" --key IS_LAPTOP --default "false")

    if [ "$LAP" = "true" ]; then
    	if [ ! "$PSAVE" = "true" ]; then
    		if [ ! -f "$HOME/.kde4/share/config/plasma-desktop-appletsrc" ]; then
    			mkdir -p $HOME/.kde4/share/config
    			cat >> $HOME/.kde4/share/config/plasma-desktop-appletsrc << EOF

[Containments][2][Applets][9][Configuration][Applets][19]
geometry=298,0,24,24
immutability=1
plugin=battery
zvalue=0

[Containments][2][Applets][9][Configuration][Applets][19][Configuration]
Share=false
showMultipleBatteries=false

[Containments][2][Applets][9][Configuration][Applets][19][Configuration][ExtenderItems][4]
extenderIconName=battery
extenderItemName=powermanagement
extenderItemPosition=0
isCollapsed=false
sourceAppletId=19
sourceAppletPluginName=battery
EOF
    			kwriteconfig --group "Mandriva" --key "PowersaveApplet" --type "bool" 1
    		fi
    	fi
    fi


    if [ ! "$OLDICON" = "true" ]; then
    # We need to remove the old mdv icons ( music, video, download ) and use KDE ones instead
    MUSICDIR=$(eval "echo $(kreadconfig --file $HOME/.config/user-dirs.dirs --key XDG_MUSIC_DIR)" )
    if [ -z "$MUSICDIR" ]; then
        MUSICDIR="$HOME/Music"
    fi

    if [ -f "$MUSICDIR/.directory" ]; then
	  ICON=$(kreadconfig --file $MUSICDIR/.directory --key Icon)

	  if [ "$ICON" == "mdk-music.png" ]; then
	    kwriteconfig --file "$MUSICDIR/.directory" --key Icon folder-sound
	  fi
    fi

    if [ ! -e "$MUSICDIR/.directory" ]; then
	    cat >> "$MUSICDIR/.directory" << EOF
[Desktop Entry]
Hidden=true
Icon=folder-sound
EOF
    fi


    DLDIR=$(eval "echo $(kreadconfig --file $HOME/.config/user-dirs.dirs --key XDG_DOWNLOAD_DIR)" )

    if [ -z "$DLDIR" ]; then
      DLDIR="$HOME/Download"
    fi

    if [ -f "$DLDIR/.directory" ]; then
      ICON=$(kreadconfig --file $DLDIR/.directory --key Icon)
      
      if [ "$ICON" == "download-mdk.png" ]; then
        kwriteconfig --file "$DLDIR/.directory" --key Icon folder-downloads
      fi
    fi

    if [ ! -e "$DLDIR/.directory" ]; then
              cat >> "$DLDIR/.directory" << EOF
[Desktop Entry]
Hidden=true
Icon=folder-downloads
EOF
    fi

    DOCDIR=$(eval "echo $(kreadconfig --file $HOME/.config/user-dirs.dirs --key XDG_DOCUMENTS_DIR)" )
        
    if [ -z "$DOCDIR" ]; then
      DOCDIR="$HOME/Download"
    fi

    if [ -f "$DOCDIR/.directory" ]; then
      ICON=$(kreadconfig --file $DOCDIR/.directory --key Icon)
                                      
      if [ "$ICON" == "document-mdk.png" ]; then
        kwriteconfig --file "$DOCDIR/.directory" --key Icon folder-documents
      fi
    fi

    if [ ! -e "$DOCDIR/.directory" ]; then
      cat >> "$DOCDIR/.directory" << EOF
[Desktop Entry]
Hidden=true
Icon=folder-documents
EOF
    fi


    PICTUREDIR=$(eval "echo $(kreadconfig --file $HOME/.config/user-dirs.dirs --key XDG_PICTURES_DIR)" )

    if [ -z "$PICTUREDIR" ]; then
      PICTUREDIR="$HOME/Picture"
    fi

    if [ -f "$PICTUREDIR/.directory" ]; then
      ICON=$(kreadconfig --file $PICTUREDIR/.directory --key Icon)
  
      if [ "$ICON" == "picture-mdk.png" ]; then
        kwriteconfig --file "$PICTUREDIR/.directory" --key Icon folder-image
      fi
    fi

    if [ ! -e "$PICTUREDIR/.directory" ]; then
      cat >> "$PICTUREDIR/.directory" << EOF
[Desktop Entry]
Hidden=true
Icon=folder-image
EOF
    fi

    VIDEOSDIR=$(eval "echo $(kreadconfig --file $HOME/.config/user-dirs.dirs --key XDG_VIDEOS_DIR)" )

    if [ -z "$VIDEOSDIR" ]; then
        VIDEOSDIR="$HOME/Video"
    fi

    if [ -f "$VIDEOSDIR/.directory" ]; then
      ICON=$(kreadconfig --file $VIDEOSDIR/.directory --key Icon)

      if [ "$ICON" == "video-mdk.png" ]; then
        kwriteconfig --file "$VIDEOSDIR/.directory" --key Icon folder-video
      fi
    fi

    if [ ! -e "$VIDEOSDIR/.directory" ]; then
      cat >> "$VIDEOSDIR/.directory" << EOF
[Desktop Entry]
Hidden=true
Icon=folder-video
EOF
   fi
   kwriteconfig --group "Mandriva" --key "IconMigration" --type "bool" 1
 fi

 FONTS=$(kreadconfig --group "Mandriva" --key "fontsConfig" --default "false")

 if [ ! "$FONTS" = "true" ]; then
     if [ ! -f "$HOME/.gtkrc-2.0-kde4" ]; then
	 ### elementary theme apply #####
	 cat >> $HOME/.gtkrc-2.0-kde4 << EOF
	 include "/usr/share/themes/elementary/gtk-2.0/gtkrc"
	 style "user-font"
	 {
		 font_name="Droid Sans"
	 }
	 widget_class "*" style "user-font"
	 gtk-theme-name = "elementary"
EOF
	 mkdir -p $HOME/.kde4/env/
	 cat >>$HOME/.kde4/env/gtk2-engines-elementary.sh <<EOF
	 export GTK2_RC_FILES=$HOME/.gtkrc-2.0-kde4
	 export XCURSOR_THEME=rosa
EOF
	 export GTK2_RC_FILES=$HOME/.gtkrc-2.0-kde4
	 export XCURSOR_THEME=rosa
	 ####workaround for sound on some machines####
	 alsactl restore
	 amixer set Master 33%
     fi

     # We do not want the trash desktop file in the desktop by default
 TRASH=$(kreadconfig --group "Mandriva" --key "Trash" --default "false")
 if [ ! "$TRASH" = "true" ]; then
	 # We should handle i18n dir modes in xgd user dirs
	 DIR=$(eval "echo $(kreadconfig --file $HOME/.config/user-dirs.dirs --key XDG_DESKTOP_DIR)" )
	 if [ -z $DIR ]; then
		 DIR="$HOME/Desktop"
	 fi
	 
	 if [ -f "${DIR}/trash.desktop" ]; then
		 rm -f "${DIR}/trash.desktop"
	 fi
	 
	 kwriteconfig --group "Mandriva" --key "Trash" --type "bool" 1
 fi

fi
fi
#end of kde check
